﻿/*
 * Copyright 2009-11 Williams Technologies Limtied.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Kajbity is a trademark of Williams Technologies Limited.
 *
 * http://www.kajabity.com
 */
using System;
using System.Xml.Serialization;

namespace Event_Manager
{
    /// <summary>
    /// Represents event details originally stored for Thistle Society events.
    /// </summary>
    public class ThistleEvent
    {
        [XmlAttribute("group")]
        public string Group;

        [XmlAttribute("home")]
        public bool Home;

        [XmlAttribute("category")]
        public string Category;

        [XmlElement(IsNullable=true)]
        public DateTime? EventDate;

        //[XmlElement( ElementName = "EventDate", DataType = "date" )]

        [XmlElement(IsNullable=true)]
        public DateTime? EventDateTo;

        [XmlElement(IsNullable=true)]
        public string EventTime;

        [XmlElement(IsNullable=true)]
        public string EventTimeTo;

        [XmlElement("EventTitle")]
        public object Title;

        [XmlElement("EventLocation")]
        public string Location;

        [XmlElement(IsNullable=true, ElementName="EventDescription")]
        public object Description;

        [XmlElement("Program")]
        public object Program;

        public ThistleEvent()
        {
        }
    }
}  // End of namespace
